Package: org.gmetrics.resultsnode

## [Groovy] Interface ResultsNode

- Represents the interface for a single node in the hierarchical network of results nodes

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `containsClassResults()`
    `` | `Map<String, ResultsNode>` | `getChildren()`
    `` | `MetricLevel` | `getLevel()`
    `` | `MetricResult` | `getMetricResult(Metric metric)`
    `` | `List<MetricResult>` | `getMetricResults()`
    `` | `String` | `getName()`

- - ### Method Detail

    - #### boolean containsClassResults()

    - #### Map<String, ResultsNode> getChildren()

    - #### MetricLevel getLevel()

    - #### MetricResult getMetricResult(Metric metric)

    - #### List<MetricResult> getMetricResults()

    - #### String getName()